Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.ebxml._3._0.query.util
Class QuerySwitch

    java.lang.Object
      org.eclipse.ohf.ihe.common.ebxml._3._0.query.util.QuerySwitch

    public class QuerySwitch

extends java.lang.Object

The Switch for the model's inheritance hierarchy. It supports the call `doSwitch(object)` to invoke the `caseXXX` method for each class of the model, starting with the actual class of the object and proceeding up the inheritance hierarchy until a non-null result is returned, which is the result of the switch.

See Also:
  `QueryPackage`

Constructor Summary
`QuerySwitch()` Creates an instance of the switch.

Method Summary
`java.lang.Object` | `caseAdhocQueryQueryType(AdhocQueryQueryType object)` Returns the result of interpretting the object as an instance of 'Adhoc Query Query Type'.
`java.lang.Object` | `caseAdhocQueryRequestType(AdhocQueryRequestType object)` Returns the result of interpretting the object as an instance of 'Adhoc Query Request Type'.
`java.lang.Object` | `caseAdhocQueryResponseType(AdhocQueryResponseType object)` Returns the result of interpretting the object as an instance of 'Adhoc Query Response Type'.
`java.lang.Object` | `caseAssociationQueryType(AssociationQueryType object)` Returns the result of interpretting the object as an instance of 'Association Query Type'.
`java.lang.Object` | `caseAuditableEventQueryType(AuditableEventQueryType object)` Returns the result of interpretting the object as an instance of 'Auditable Event Query Type'.
`java.lang.Object` | `caseBooleanFilterType(BooleanFilterType object)` Returns the result of interpretting the object as an instance of 'Boolean Filter Type'.
`java.lang.Object` | `caseBranchType(BranchType object)` Returns the result of interpretting the object as an instance of 'Branch Type'.
`java.lang.Object` | `caseClassificationNodeQueryType(ClassificationNodeQueryType object)` Returns the result of interpretting the object as an instance of 'Classification Node Query Type'.
`java.lang.Object` | `caseClassificationQueryType(ClassificationQueryType object)` Returns the result of interpretting the object as an instance of 'Classification Query Type'.
`java.lang.Object` | `caseClassificationSchemeQueryType(ClassificationSchemeQueryType object)` Returns the result of interpretting the object as an instance of 'Classification Scheme Query Type'.
`java.lang.Object` | `caseCompoundFilterType(CompoundFilterType object)` Returns the result of interpretting the object as an instance of 'Compound Filter Type'.
`java.lang.Object` | `caseDateTimeFilterType(DateTimeFilterType object)` Returns the result of interpretting the object as an instance of 'Date Time Filter Type'.
`java.lang.Object` | `caseDocumentRoot(DocumentRoot object)` Returns the result of interpretting the object as an instance of 'Document Root'.
`java.lang.Object` | `caseExternalIdentifierQueryType(ExternalIdentifierQueryType object)` Returns the result of interpretting the object as an instance of 'External Identifier Query Type'.
`java.lang.Object` | `caseExternalLinkQueryType(ExternalLinkQueryType object)` Returns the result of interpretting the object as an instance of 'External Link Query Type'.
`java.lang.Object` | `caseExtrinsicObjectQueryType(ExtrinsicObjectQueryType object)` Returns the result of interpretting the object as an instance of 'Extrinsic Object Query Type'.
`java.lang.Object` | `caseFederationQueryType(FederationQueryType object)` Returns the result of interpretting the object as an instance of 'Federation Query Type'.
`java.lang.Object` | `caseFilterQueryType(FilterQueryType object)` Returns the result of interpretting the object as an instance of 'Filter Query Type'.
`java.lang.Object` | `caseFilterType(FilterType object)` Returns the result of interpretting the object as an instance of 'Filter Type'.
`java.lang.Object` | `caseFloatFilterType(FloatFilterType object)` Returns the result of interpretting the object as an instance of 'Float Filter Type'.
`java.lang.Object` | `caseIntegerFilterType(IntegerFilterType object)` Returns the result of interpretting the object as an instance of 'Integer Filter Type'.
`java.lang.Object` | `caseInternationalStringBranchType(InternationalStringBranchType object)` Returns the result of interpretting the object as an instance of 'International String Branch Type'.
`java.lang.Object` | `caseNotificationQueryType(NotificationQueryType object)` Returns the result of interpretting the object as an instance of 'Notification Query Type'.
`java.lang.Object` | `caseOrganizationQueryType(OrganizationQueryType object)` Returns the result of interpretting the object as an instance of 'Organization Query Type'.
`java.lang.Object` | `casePersonQueryType(PersonQueryType object)` Returns the result of interpretting the object as an instance of 'Person Query Type'.
`java.lang.Object` | `caseQueryExpressionBranchType(QueryExpressionBranchType object)` Returns the result of interpretting the object as an instance of 'Expression Branch Type'.
`java.lang.Object` | `caseRegistryObjectQueryType(RegistryObjectQueryType object)` Returns the result of interpretting the object as an instance of 'Registry Object Query Type'.
`java.lang.Object` | `caseRegistryPackageQueryType(RegistryPackageQueryType object)` Returns the result of interpretting the object as an instance of 'Registry Package Query Type'.
`java.lang.Object` | `caseRegistryQueryType(RegistryQueryType object)` Returns the result of interpretting the object as an instance of 'Registry Query Type'.
`java.lang.Object` | `caseRegistryRequestType(RegistryRequestType object)` Returns the result of interpretting the object as an instance of 'Request Type'.
`java.lang.Object` | `caseRegistryResponseType(RegistryResponseType object)` Returns the result of interpretting the object as an instance of 'Response Type'.
`java.lang.Object` | `caseResponseOptionType(ResponseOptionType object)` Returns the result of interpretting the object as an instance of 'Response Option Type'.
`java.lang.Object` | `caseServiceBindingQueryType(ServiceBindingQueryType object)` Returns the result of interpretting the object as an instance of 'Service Binding Query Type'.
`java.lang.Object` | `caseServiceQueryType(ServiceQueryType object)` Returns the result of interpretting the object as an instance of 'Service Query Type'.
`java.lang.Object` | `caseSimpleFilterType(SimpleFilterType object)` Returns the result of interpretting the object as an instance of 'Simple Filter Type'.
`java.lang.Object` | `caseSlotBranchType(SlotBranchType object)` Returns the result of interpretting the object as an instance of 'Slot Branch Type'.
`java.lang.Object` | `caseSpecificationLinkQueryType(SpecificationLinkQueryType object)` Returns the result of interpretting the object as an instance of 'Specification Link Query Type'.
`java.lang.Object` | `caseStringFilterType(StringFilterType object)` Returns the result of interpretting the object as an instance of 'String Filter Type'.
`java.lang.Object` | `caseSubscriptionQueryType(SubscriptionQueryType object)` Returns the result of interpretting the object as an instance of 'Subscription Query Type'.
`java.lang.Object` | `caseUserQueryType(UserQueryType object)` Returns the result of interpretting the object as an instance of 'User Query Type'.
`java.lang.Object` | `defaultCase(org.eclipse.emf.ecore.EObject object)` Returns the result of interpretting the object as an instance of 'EObject'.
`java.lang.Object` | `doSwitch(org.eclipse.emf.ecore.EObject theEObject)` Calls `caseXXX` for each class of the model until one returns a non null result; it yields that result.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### QuerySwitch

    public QuerySwitch()

  Creates an instance of the switch.

Method Detail

### doSwitch

    public java.lang.Object doSwitch(org.eclipse.emf.ecore.EObject theEObject)

  Calls `caseXXX` for each class of the model until one returns a non null result; it yields that result.

  Returns:
    the first non-null result returned by a `caseXXX` call.

### caseAdhocQueryQueryType

    public java.lang.Object caseAdhocQueryQueryType(AdhocQueryQueryType object)

  Returns the result of interpretting the object as an instance of 'Adhoc Query Query Type'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Adhoc Query Query Type'.
  See Also:
    `doSwitch(EObject)`

### caseAdhocQueryRequestType

    public java.lang.Object caseAdhocQueryRequestType(AdhocQueryRequestType object)

  Returns the result of interpretting the object as an instance of 'Adhoc Query Request Type'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Adhoc Query Request Type'.
  See Also:
    `doSwitch(EObject)`

### caseAdhocQueryResponseType

    public java.lang.Object caseAdhocQueryResponseType(AdhocQueryResponseType object)

  Returns the result of interpretting the object as an instance of 'Adhoc Query Response Type'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Adhoc Query Response Type'.
  See Also:
    `doSwitch(EObject)`

### caseAssociationQueryType

    public java.lang.Object caseAssociationQueryType(AssociationQueryType object)

  Returns the result of interpretting the object as an instance of 'Association Query Type'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Association Query Type'.
  See Also:
    `doSwitch(EObject)`

### caseAuditableEventQueryType

    public java.lang.Object caseAuditableEventQueryType(AuditableEventQueryType object)

  Returns the result of interpretting the object as an instance of 'Auditable Event Query Type'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Auditable Event Query Type'.
  See Also:
    `doSwitch(EObject)`

### caseBooleanFilterType

    public java.lang.Object caseBooleanFilterType(BooleanFilterType object)

  Returns the result of interpretting the object as an instance of 'Boolean Filter Type'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Boolean Filter Type'.
  See Also:
    `doSwitch(EObject)`

### caseBranchType

    public java.lang.Object caseBranchType(BranchType object)

  Returns the result of interpretting the object as an instance of 'Branch Type'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Branch Type'.
  See Also:
    `doSwitch(EObject)`

### caseClassificationNodeQueryType

    public java.lang.Object caseClassificationNodeQueryType(ClassificationNodeQueryType object)

  Returns the result of interpretting the object as an instance of 'Classification Node Query Type'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Classification Node Query Type'.
  See Also:
    `doSwitch(EObject)`

### caseClassificationQueryType

    public java.lang.Object caseClassificationQueryType(ClassificationQueryType object)

  Returns the result of interpretting the object as an instance of 'Classification Query Type'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Classification Query Type'.
  See Also:
    `doSwitch(EObject)`

### caseClassificationSchemeQueryType

    public java.lang.Object caseClassificationSchemeQueryType(ClassificationSchemeQueryType object)

  Returns the result of interpretting the object as an instance of 'Classification Scheme Query Type'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Classification Scheme Query Type'.
  See Also:
    `doSwitch(EObject)`

### caseCompoundFilterType

    public java.lang.Object caseCompoundFilterType(CompoundFilterType object)

  Returns the result of interpretting the object as an instance of 'Compound Filter Type'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Compound Filter Type'.
  See Also:
    `doSwitch(EObject)`

### caseDateTimeFilterType

    public java.lang.Object caseDateTimeFilterType(DateTimeFilterType object)

  Returns the result of interpretting the object as an instance of 'Date Time Filter Type'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Date Time Filter Type'.
  See Also:
    `doSwitch(EObject)`

### caseDocumentRoot

    public java.lang.Object caseDocumentRoot(DocumentRoot object)

  Returns the result of interpretting the object as an instance of 'Document Root'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Document Root'.
  See Also:
    `doSwitch(EObject)`

### caseExternalIdentifierQueryType

    public java.lang.Object caseExternalIdentifierQueryType(ExternalIdentifierQueryType object)

  Returns the result of interpretting the object as an instance of 'External Identifier Query Type'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'External Identifier Query Type'.
  See Also:
    `doSwitch(EObject)`

### caseExternalLinkQueryType

    public java.lang.Object caseExternalLinkQueryType(ExternalLinkQueryType object)

  Returns the result of interpretting the object as an instance of 'External Link Query Type'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'External Link Query Type'.
  See Also:
    `doSwitch(EObject)`

### caseExtrinsicObjectQueryType

    public java.lang.Object caseExtrinsicObjectQueryType(ExtrinsicObjectQueryType object)

  Returns the result of interpretting the object as an instance of 'Extrinsic Object Query Type'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Extrinsic Object Query Type'.
  See Also:
    `doSwitch(EObject)`

### caseFederationQueryType

    public java.lang.Object caseFederationQueryType(FederationQueryType object)

  Returns the result of interpretting the object as an instance of 'Federation Query Type'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Federation Query Type'.
  See Also:
    `doSwitch(EObject)`

### caseFilterQueryType

    public java.lang.Object caseFilterQueryType(FilterQueryType object)

  Returns the result of interpretting the object as an instance of 'Filter Query Type'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Filter Query Type'.
  See Also:
    `doSwitch(EObject)`

### caseFilterType

    public java.lang.Object caseFilterType(FilterType object)

  Returns the result of interpretting the object as an instance of 'Filter Type'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Filter Type'.
  See Also:
    `doSwitch(EObject)`

### caseFloatFilterType

    public java.lang.Object caseFloatFilterType(FloatFilterType object)

  Returns the result of interpretting the object as an instance of 'Float Filter Type'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Float Filter Type'.
  See Also:
    `doSwitch(EObject)`

### caseIntegerFilterType

    public java.lang.Object caseIntegerFilterType(IntegerFilterType object)

  Returns the result of interpretting the object as an instance of 'Integer Filter Type'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Integer Filter Type'.
  See Also:
    `doSwitch(EObject)`

### caseInternationalStringBranchType

    public java.lang.Object caseInternationalStringBranchType(InternationalStringBranchType object)

  Returns the result of interpretting the object as an instance of 'International String Branch Type'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'International String Branch Type'.
  See Also:
    `doSwitch(EObject)`

### caseNotificationQueryType

    public java.lang.Object caseNotificationQueryType(NotificationQueryType object)

  Returns the result of interpretting the object as an instance of 'Notification Query Type'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Notification Query Type'.
  See Also:
    `doSwitch(EObject)`

### caseOrganizationQueryType

    public java.lang.Object caseOrganizationQueryType(OrganizationQueryType object)

  Returns the result of interpretting the object as an instance of 'Organization Query Type'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Organization Query Type'.
  See Also:
    `doSwitch(EObject)`

### casePersonQueryType

    public java.lang.Object casePersonQueryType(PersonQueryType object)

  Returns the result of interpretting the object as an instance of 'Person Query Type'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Person Query Type'.
  See Also:
    `doSwitch(EObject)`

### caseQueryExpressionBranchType

    public java.lang.Object caseQueryExpressionBranchType(QueryExpressionBranchType object)

  Returns the result of interpretting the object as an instance of 'Expression Branch Type'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Expression Branch Type'.
  See Also:
    `doSwitch(EObject)`

### caseRegistryObjectQueryType

    public java.lang.Object caseRegistryObjectQueryType(RegistryObjectQueryType object)

  Returns the result of interpretting the object as an instance of 'Registry Object Query Type'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Registry Object Query Type'.
  See Also:
    `doSwitch(EObject)`

### caseRegistryPackageQueryType

    public java.lang.Object caseRegistryPackageQueryType(RegistryPackageQueryType object)

  Returns the result of interpretting the object as an instance of 'Registry Package Query Type'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Registry Package Query Type'.
  See Also:
    `doSwitch(EObject)`

### caseRegistryQueryType

    public java.lang.Object caseRegistryQueryType(RegistryQueryType object)

  Returns the result of interpretting the object as an instance of 'Registry Query Type'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Registry Query Type'.
  See Also:
    `doSwitch(EObject)`

### caseResponseOptionType

    public java.lang.Object caseResponseOptionType(ResponseOptionType object)

  Returns the result of interpretting the object as an instance of 'Response Option Type'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Response Option Type'.
  See Also:
    `doSwitch(EObject)`

### caseServiceBindingQueryType

    public java.lang.Object caseServiceBindingQueryType(ServiceBindingQueryType object)

  Returns the result of interpretting the object as an instance of 'Service Binding Query Type'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Service Binding Query Type'.
  See Also:
    `doSwitch(EObject)`

### caseServiceQueryType

    public java.lang.Object caseServiceQueryType(ServiceQueryType object)

  Returns the result of interpretting the object as an instance of 'Service Query Type'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Service Query Type'.
  See Also:
    `doSwitch(EObject)`

### caseSimpleFilterType

    public java.lang.Object caseSimpleFilterType(SimpleFilterType object)

  Returns the result of interpretting the object as an instance of 'Simple Filter Type'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Simple Filter Type'.
  See Also:
    `doSwitch(EObject)`

### caseSlotBranchType

    public java.lang.Object caseSlotBranchType(SlotBranchType object)

  Returns the result of interpretting the object as an instance of 'Slot Branch Type'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Slot Branch Type'.
  See Also:
    `doSwitch(EObject)`

### caseSpecificationLinkQueryType

    public java.lang.Object caseSpecificationLinkQueryType(SpecificationLinkQueryType object)

  Returns the result of interpretting the object as an instance of 'Specification Link Query Type'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Specification Link Query Type'.
  See Also:
    `doSwitch(EObject)`

### caseStringFilterType

    public java.lang.Object caseStringFilterType(StringFilterType object)

  Returns the result of interpretting the object as an instance of 'String Filter Type'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'String Filter Type'.
  See Also:
    `doSwitch(EObject)`

### caseSubscriptionQueryType

    public java.lang.Object caseSubscriptionQueryType(SubscriptionQueryType object)

  Returns the result of interpretting the object as an instance of 'Subscription Query Type'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Subscription Query Type'.
  See Also:
    `doSwitch(EObject)`

### caseUserQueryType

    public java.lang.Object caseUserQueryType(UserQueryType object)

  Returns the result of interpretting the object as an instance of 'User Query Type'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'User Query Type'.
  See Also:
    `doSwitch(EObject)`

### caseRegistryRequestType

    public java.lang.Object caseRegistryRequestType(RegistryRequestType object)

  Returns the result of interpretting the object as an instance of 'Request Type'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Request Type'.
  See Also:
    `doSwitch(EObject)`

### caseRegistryResponseType

    public java.lang.Object caseRegistryResponseType(RegistryResponseType object)

  Returns the result of interpretting the object as an instance of 'Response Type'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Response Type'.
  See Also:
    `doSwitch(EObject)`

### defaultCase

    public java.lang.Object defaultCase(org.eclipse.emf.ecore.EObject object)

  Returns the result of interpretting the object as an instance of 'EObject'. This implementation returns null; returning a non-null result will terminate the switch, but this is the last case anyway.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'EObject'.
  See Also:
    `doSwitch(org.eclipse.emf.ecore.EObject)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD